Bug 172826 - Not all capitals are part of the placemark database
Summary: Not all capitals are part of the placemark database
Status: RESOLVED FIXED
Alias: None
Product: marble
Classification: Unclassified
Component: data (show other bugs)
Version: unspecified
Platform: Compiled Sources Unspecified
: NOR normal with 1 vote (vote)
Target Milestone: ---
Assignee: Torsten Rahn
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-10-14 22:23 UTC by Inge Wallin
Modified: 2010-06-06 19:41 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Inge Wallin 2008-10-14 22:23:01 UTC
Version:            (using KDE 4.1.2)
Installed from:    Compiled From Sources

Some capitals are lacking in the database. The case that set off this bugreport was Vaduz in Liechtenstein located between Austria and Switzerland, but there may be others.  

There are also some that are spellt in unexpected ways like Athens in Greece that I can't remember the name for in Marble right now.

The list of places is very long, but we should at least get the capitals right.  That can actually be done manually.
Comment 1 Torsten Rahn 2008-10-15 08:47:06 UTC
Yes, that's indeed some oddity. 

I think Bucarest (Bucuresti) is another candidate where this applies.

Could you fix these (for the proper letter for captial compare with the
existing country capitals like Stockholm or Berlin).

I guess this is just a matter of rereading the Howto.cities and applying the changes accordingly to the cities.txt and generating the KML and the cache.
Should be a matter of 20-30 mins, so it will fit into today's lunch break ;-)

Unfortunately I'm not able to assign it to you in bugzilla as you lack a bugzilla account. :-)
Comment 2 Torsten Rahn 2008-10-15 08:48:51 UTC
Oh and of course a backport would be in order :)
Comment 3 Jaime Torres 2009-05-24 00:32:53 UTC
This bug seems fixed in marble from kde 4.3 beta 1. Isn't it?
Comment 4 Médéric Boquien 2009-07-25 19:41:40 UTC
I do not think it is fixed in 4.3 Jaime, at least Vaduz is still missing, there is no city appearing in Lichstentein.
Comment 5 Bastian Senst 2010-06-06 19:41:00 UTC
Fixed with revision 1135143:
http://websvn.kde.org/?view=rev&revision=1135143